load("@io_bazel_rules_go//go:def.bzl", "go_library", "go_test")

go_library(
    name = "wails",
    srcs = ["service.go"],
    importpath = "github.com/Eriyc/rules_wails/pkg/wails3kit/updates/wails",
    visibility = ["//visibility:public"],
    deps = [
        "//pkg/wails3kit/updates",
        "@com_github_wailsapp_wails_v3//pkg/application",
    ],
)

go_test(
    name = "wails_test",
    srcs = ["service_test.go"],
    embed = [":wails"],
    deps = [
        "//pkg/wails3kit/updates",
        "//pkg/wails3kit/updates/storage/file",
        "@com_github_wailsapp_wails_v3//pkg/application",
    ],
)
